﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WCF
{
    public class Northwind : INorthwind
    {        
        #region INorthwind Members

        public ProductData[] SearchProduct(string filter)
        {
            NorthwindDataContext db = new NorthwindDataContext();
            return (from p in db.Products
                    where p.ProductName.StartsWith(filter)
                    orderby p.ProductName
                    select new ProductData()
                    {
                        ProductId = p.ProductID,
                        ProductName = p.ProductName,
                        Category = p.Category.CategoryName,
                        Supplier = p.Supplier.CompanyName
                    }).ToArray<ProductData>();
        }

        #endregion
    }
}
