﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

namespace WS
{
    // třída bude volatelná jako webová služba
    [WebService]
    // WSI Basic Profile verze 1.1    
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    // Serializace do formátu JSON
    [System.Web.Script.Services.ScriptService]
    public class Northwind : System.Web.Services.WebService
    {

        [WebMethod]
        public ProductInfo[] SearchProductsByName(string productName)
        {
            NorthwindDataContext db = new NorthwindDataContext();
            return (from p in db.Products
                       where p.ProductName.StartsWith(productName)
                       orderby p.ProductName
                    select new ProductInfo()
                    {
                        ProductName = p.ProductName,
                        Price = p.UnitPrice,
                        Category = p.Category.CategoryName,
                        Supplier = p.Supplier.CompanyName
                    }).ToArray<ProductInfo>();
        }
    }

    public class ProductInfo
    {
        public int ProductId { get; set; }
        public decimal? Price { get; set; }
        public string ProductName { get; set; }
        public string Category { get; set; }
        public string Supplier { get; set; }
    }
}
